2018-05-25 10:15 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002927OpenFOAMPatchpublic2018-05-14 16:54
Reporterwyldckat 
Assigned Tohenry 
PrioritylowSeveritytextReproducibilityN/A
StatusresolvedResolutionfixed 
Product Version5.x 
Target VersionFixed in Versiondev 
Summary0002927: "fvOption.C" listed under 'SourceFiles' in file "fixedTemperatureConstraint.H", instead of "fixedTemperatureConstraint.C"
DescriptionThis patch can be used as-is on both OpenFOAM 5.x and dev.

Attached are the following files:

 - typo.tar.gz - contains the corrected file at the full path "src/fvOptions/constraints/fixedTemperatureConstraint/fixedTemperatureConstraint.H"

 - "fixedTemperatureConstraint.H" - the file itself, in case the tarball isn't entirely practical for a single file...

 - "typo.patch" - shows the changes made, which are listed below...


Fixes:

 1. Use the correct file under 'SourceFiles'.

 2. Added the entry "Foam::fvOption" for 'See also', as done in the sibling constraint "fixedValueConstraint".

 3. Updated the Copyright year.
TagsNo tags attached.
Attached Files
  • gz file icon typo.tar.gz (1,516 bytes) 2018-05-12 17:32
  • ? file icon fixedTemperatureConstraint.H (4,147 bytes) 2018-05-12 17:32
  • patch file icon typo.patch (1,126 bytes) 2018-05-12 17:33 -
    diff --git a/src/fvOptions/constraints/fixedTemperatureConstraint/fixedTemperatureConstraint.H b/src/fvOptions/constraints/fixedTemperatureConstraint/fixedTemperatureConstraint.H
    index 404a035..658606f 100644
    --- a/src/fvOptions/constraints/fixedTemperatureConstraint/fixedTemperatureConstraint.H
    +++ b/src/fvOptions/constraints/fixedTemperatureConstraint/fixedTemperatureConstraint.H
    @@ -2,7 +2,7 @@
       =========                 |
       \\      /  F ield         | OpenFOAM: The Open Source CFD Toolbox
        \\    /   O peration     |
    -    \\  /    A nd           | Copyright (C) 2012-2017 OpenFOAM Foundation
    +    \\  /    A nd           | Copyright (C) 2012-2018 OpenFOAM Foundation
          \\/     M anipulation  |
     -------------------------------------------------------------------------------
     License
    @@ -48,8 +48,11 @@ Note:
         The 'uniform' option allows the use of a time-varying uniform temperature
         by means of the Function1 type.
     
    +See also
    +    Foam::fvOption
    +
     SourceFiles
    -    fvOption.C
    +    fixedTemperatureConstraint.C
     
     \*---------------------------------------------------------------------------*/
     
    
    patch file icon typo.patch (1,126 bytes) 2018-05-12 17:33 +

-Relationships
+Relationships

-Notes

~0009569

henry (manager)

Resolved by commit d030bb35c3417f0d6ff25480b48c82f96674f081
+Notes

-Issue History
Date Modified Username Field Change
2018-05-12 17:32 wyldckat New Issue
2018-05-12 17:32 wyldckat Status new => assigned
2018-05-12 17:32 wyldckat Assigned To => henry
2018-05-12 17:32 wyldckat File Added: typo.tar.gz
2018-05-12 17:32 wyldckat File Added: fixedTemperatureConstraint.H
2018-05-12 17:33 wyldckat File Added: typo.patch
2018-05-14 16:54 henry Status assigned => resolved
2018-05-14 16:54 henry Resolution open => fixed
2018-05-14 16:54 henry Fixed in Version => dev
2018-05-14 16:54 henry Note Added: 0009569
+Issue History